Subject: bug#10035: closed (Re: bug#10035: Crash in check_x_frame in w32fns.c)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Nov 2011 03:52:02 +0000

Your bug report

#10035: Crash in check_x_frame in w32fns.c

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10035: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10035
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10035: Crash in check_x_frame in w32fns.c
From: Eli Zaretskii <[email-masked]>
To: Christoph Scholtes <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 15 Nov 2011 05:48:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 14 Nov 2011 17:43:13 -0700
> From: Christoph Scholtes <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On 11/14/2011 2:07 PM, Juanma Barranquero wrote:
> > On Mon, Nov 14, 2011 at 21:18, Eli Zaretskii<[email-masked]>  wrote:
> >
> >> This one is fixed (revision 106372 on the trunk).  Please check the
> >> other recipes.
> >
> > They are all fixed too.
> 
> My recipe was similar:
> 
> emacs -Q
> C-x 4 a
> Press `left arrow' key
> -> Crash
> 
> and this is fixed too in the latest trunk.
> 
> Thanks!

Thanks; closing.

Subject: Crash in check_x_frame in w32fns.c
From: Christoph Scholtes <[email-masked]>
To: [email-masked]
Date: Sun, 13 Nov 2011 08:29:34 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs crashed while editing a Changelog.

Crashed session is still running under gdb. I can provide more details 
if necessary.

Full backtrace:

#0  0x7557280d in KERNELBASE!DeleteAce ()
    from C:\Windows\syswow64\KernelBase.dll
No symbol table info available.
#1  0x0115050f in w32_abort () at w32fns.c:233
	button = 6
#2  0x010ee0d5 in row_equal_p (a=0x10dc2158, b=0x10d97158, mouse_face_p=1)
     at dispnew.c:398
No locals.
#3  0x010f490f in scrolling_window (w=0x10d96000, header_line_p=0)
     at dispnew.c:398
	d = (struct glyph_row *) 0x10d97158
	c = (struct glyph_row *) 0x10dc2158
	desired_matrix = (struct glyph_matrix *) 0x10d6c900
	current_matrix = (struct glyph_matrix *) 0x10d03200
	yb = 252
	i = 2
	j = 282865180
	first_old = 282689052
	first_new = 282865180
	last_old = 83
	last_new = 283016440
	nruns = 282689052
	run_idx = 21981248
	n = 17764412
	entry = (struct row_entry *) 0x10d97e1c
	rif = (struct redisplay_interface *) 0x14f6840
#4  0x010f30fe in update_window (w=0x10d96000, force_p=1) at dispnew.c:398
	rc = -1
	end = (struct glyph_row *) 0x10d97e1c
	mode_line_row = (struct glyph_row *) 0x10d97e1c
	header_line_row = (struct glyph_row *) 0x0
	changed_p = 0
	mouse_face_overwritten_p = 0
	row = (struct glyph_row *) 0x10d97000
	yb = 252
	desired_matrix = (struct glyph_matrix *) 0x10d6c900
	paused_p = 18876060
	rif = (struct redisplay_interface *) 0x14f6840
#5  0x010f27fe in update_window_tree (w=0x10d96000, force_p=1)
     at dispnew.c:398
	paused_p = 0
#6  0x010f27d7 in update_window_tree (w=0x10d72200, force_p=1)
     at dispnew.c:398
	paused_p = 0
#7  0x010f254d in update_frame (f=0x3a24e00, force_p=1, 
inhibit_hairy_id_p=0)
     at dispnew.c:398
	paused_p = 0
	root_window = (struct window *) 0x10d72200
#8  0x011ff16e in redisplay_internal () at character.h:566
	mini_window = 0
	mini_frame = (struct frame *) 0x10bdf856
	w = (struct window *) 0x10d96000
	sw = (struct window *) 0x10d96000
	fr = (struct frame *) 0x3a24e00
	pending = 0
	must_finish = 1
	tlbufpos = {charpos = 62, bytepos = 62}
	tlendpos = {charpos = 314156, bytepos = 314255}
	number_of_visible_frames = 1
	count = 2
	count1 = 4
	sf = (struct frame *) 0x3a24e00
	polling_stopped_here = 1
	old_frame = 60968453
	consider_all_windows_p = 0
#9  0x011fbb1a in redisplay () at character.h:566
No locals.
#10 0x01008990 in read_char (commandflag=1, nmaps=5, maps=0x88f960,
     prev_event=54765594, used_mouse_menu=0x88fa48, end_time=0x0)
     at buffer.h:1045
	echo_current = 1
	c = 54765594
	jmpcount = 8976696
	local_getcjmp = {0, 17706273, 21888768, 8976547, 8976504, 16999231,
   1, 32, 0, 17706212, 19943633, 54765594, 283464134, 54765594, 1, 32}
	save_jump = {8976408, 19276185, 283352830, 54809442, 0, 1, 0,
   54809442, 8976680, 17823167, 404, 54809442, 282042885, 20499101, 
17703639,
   32}
	key_already_recorded = 0
	tem = 283380534
	save = 54765594
	previous_echo_area_message = 54765594
	also_record = 54765594
	reread = 0
	gcpro1 = {next = 0x12d0111, var = 0x10e39efe, nvars = 54809442}
	gcpro2 = {next = 0x66, var = 0x0, nvars = 8976376}
	polling_stopped_here = 0
	orig_kboard = (struct kboard *) 0x38fc500
#11 0x0101c241 in read_key_sequence (keybuf=0x88fbd0, bufsize=30,
     prompt=54765594, dont_downcase_last=0, can_return_switch_frame=1,
     fix_current_buffer=1) at buffer.h:1045
	interrupted_kboard = (KBOARD *) 0x38fc500
	interrupted_frame = (struct frame *) 0x3a24e00
	key = 404
	used_mouse_menu = 0
	echo_local_start = 0
	last_real_key_start = 0
	keys_local_start = 0
	local_first_binding = 0
	from_string = 54765594
	count = 2
	t = 0
	echo_start = 0
	keys_start = 0
	nmaps = 5
	nmaps_allocated = 5
	defs = (Lisp_Object *) 0x88f930
	submaps = (Lisp_Object *) 0x88f960
	orig_local_map = 282935006
	orig_keymap = 54765594
	localized_local_map = 0
	first_binding = 0
	first_unbound = 31
	mock_input = 0
	fkey = {parent = 59280334, map = 59280334, start = 0, end = 0}
	keytran = {parent = 54755014, map = 54755014, start = 0, end = 0}
	indec = {parent = 59280342, map = 59280342, start = 0, end = 0}
	shift_translated = 0
	delayed_switch_frame = 54765594
	original_uppercase = 404
	original_uppercase_position = -1
	dummyflag = 0
	starting_buffer = (struct buffer *) 0x10cfa200
	fake_prefixed_keys = 54765594
	outer_gcpro1 = {next = 0x10d1ac38, var = 0x343a81a, nvars = 283380590}
#12 0x01005bf4 in command_loop_1 () at buffer.h:1045
	cmd = 54993114
	keybuf = {54907458, 208, 388, 2130567168, 0, 0, 8977432, 16798076,
   282593638, 54765618, 8977471, 54885546, 0, 0, 8977464, 60968448, 
54870858,
   2130567168, 8977544, 16797445, 282593654, 8977471, 0, 2130567168, 0, 0,
   8977512, 214704, 2, 54743622}
	i = 1
	prev_modiff = 89
	prev_buffer = (struct buffer *) 0x10cfa200
	already_adjusted = 0
#13 0x01032de7 in internal_condition_case (bfun=0x10055fc <command_loop_1>,
     handlers=54823322, hfun=0x1004e1b <cmd_error>) at eval.c:169
	val = 54743622
	c = {tag = 54765594, val = 54765594, next = 0x88fd74, gcpro = 0x0,
   jmp = {8977720, 0, 0, 0, 8977548, 16985492, 8978372, 0, 12456104, 
8977684,
     1968608529, 12456104, 1, 1958752824, 0, 1033}, backlist = 0x0,
   handlerlist = 0x0, lisp_eval_depth = 0, pdlcount = 2,
   poll_suppress_count = 0, interrupt_input_blocked = 0, byte_stack = 0x0}
	h = {handler = 54823322, var = 54765594, chosen_clause = 54765618,
   tag = 0x88fcc0, next = 0x0}
#14 0x01005258 in command_loop_2 (ignore=54765594) at buffer.h:1045
	val = 0
#15 0x0103280a in internal_catch (tag=54821346,
     func=0x1005234 <command_loop_2>, arg=54765594) at eval.c:169
	c = {tag = 54821346, val = 54765594, next = 0x0, gcpro = 0x0, jmp = {
     8977896, 2130567168, 0, 0, 8977756, 16984059, 8978372, 0, 54765594,
     54804480, 1958754112, 1958754175, 2130567168, 23257352, 54804480,
     23257352}, backlist = 0x0, handlerlist = 0x0, lisp_eval_depth = 0,
   pdlcount = 2, poll_suppress_count = 0, interrupt_input_blocked = 0,
   byte_stack = 0x0}
#16 0x01005214 in command_loop () at buffer.h:1045
No locals.
#17 0x034481e2 in _Jv_RegisterClasses ()
No symbol table info available.
#18 0x01005234 in command_loop () at buffer.h:1045
No locals.
#19 0x0343a81a in _Jv_RegisterClasses ()
No symbol table info available.
#20 0x00000001 in ?? ()
No symbol table info available.
#21 0x00000000 in ?? ()
No symbol table info available.

In GNU Emacs 24.0.91.1 (i386-mingw-nt6.1.7601)
  of 2011-11-13 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.6) --no-opt --cflags 
-I"D:/devel/emacs/libs/libXpm-3.5.8/include" 
-I"D:/devel/emacs/libs/libXpm-3.5.8/src" 
-I"D:/devel/emacs/libs/libpng-dev_1.4.3-1/include" 
-I"D:/devel/emacs/libs/zlib-dev_1.2.5-2/include" 
-I"D:/devel/emacs/libs/giflib-4.1.4-1/include" 
-I"D:/devel/emacs/libs/jpeg-6b-4/include" 
-I"D:/devel/emacs/libs/tiff-3.8.2-1/include" 
-I"D:/devel/emacs/libs/gnutls-2.10.1/include" --ldflags 
-L"D:/devel/emacs/libs/gnutls-2.10.1/lib"'